from Products.CMFCore.utils import getToolByName
from Products.CMFCore.TypesTool import ContentFactoryMetadata

from Products.CMFMailadd.config import product_name


tools = (
		"CMF Mailadd Tool", 
    	)



def setupTools(self, out):
    """
    setup tool
    """
    portal=getToolByName(self, 'portal_url').getPortalObject()
    addTool=portal.manage_addProduct[product_name].manage_addTool    
    for tool in tools:
        found = 0
        for obj in portal.objectValues():
            if obj.meta_type == tool:
                found = 1
                
        if not found:
            addTool(type=tool)
            out.append("Added '%s' tool.\n" % (tool,))

def install(self):
    """ Install this product """
    out = []
    setupTools(self, out)

    return "\n".join(out)
